// Element.h: interface for the CElement class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ELEMENT_H__C187E588_B4A2_4E91_95BE_8ED45357E179__INCLUDED_)
#define AFX_ELEMENT_H__C187E588_B4A2_4E91_95BE_8ED45357E179__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "QName.h"

class CElement
{
public:
	CElement();
	virtual ~CElement();

	virtual CString *getAttribute(CQName *pName);
	virtual void putAttribute(CQName *pName, LPCTSTR pstrValue);
	virtual void putAttribute(CQName *pName, wchar_t *pstrValue, int cchValue);
	virtual int getNumInParent();
	virtual void putNumInParent(int n);
	virtual CQName *getName();
	virtual void putName(CQName *pName);
	virtual void putChild(CElement* pChild);
	virtual CElement *getParent();
	virtual void putParent(CElement* pParent);

protected:
	int m_nNumInParent;
	CQName *m_pQName;
	CElement *m_pChild;
	CElement *m_pParent;
	CMapStringToString m_Attrs;
};

#endif // !defined(AFX_ELEMENT_H__C187E588_B4A2_4E91_95BE_8ED45357E179__INCLUDED_)
