#include "Impl.h"

class CNodeFactory : public INodeFactory
{
public:
	CNodeFactory();
	virtual ~CNodeFactory();

	/*
	 * From INodeFactory
	 */

	ILiteral *createLiteral(LPCTSTR lpstrStr);
	IResource *createResource(LPCTSTR lpstrStr);
	IResource *createResource(LPCTSTR pstrNamespace, LPCTSTR pstrLocalName);
	IStatement *createStatement(IResource *pSubject, IResource *pPredicate, IRDFNode *pObject);
};
