// QName.cpp: implementation of the CQName class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "QName.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CQName::CQName(LPCTSTR pstrNamespace, LPCTSTR pstrLocalName)
{
	m_sNamespace = pstrNamespace;
	m_sLocalName = pstrLocalName;
}

CQName::CQName(wchar_t *pstrNamespace, int cchNamespace, wchar_t *pstrLocalName, int cchLocalName)
{
	m_sNamespace = CString(pstrNamespace, cchNamespace);
	m_sLocalName = CString(pstrLocalName, cchLocalName);
}

CQName::CQName(LPCTSTR pstrLocalName)
{
	m_sNamespace = _T("");
	m_sLocalName = pstrLocalName;
}

CQName::CQName(wchar_t *pstrLocalName, int cchLocalName)
{
	m_sNamespace = _T("");
	m_sLocalName = CString(pstrLocalName, cchLocalName);
}

CQName::~CQName()
{

}
/*
CQName &CQName::operator=(CQName &qname)
{
	m_sNamespace = qname.getNamespace();
	m_sLocalName = qname.getLocalName();
	return *this;
}
*/

CString CQName::getName(void)
{
	return m_sNamespace + m_sLocalName;
}

CString CQName::getLocalName(void)
{
	return m_sLocalName;
}

CString CQName::getNamespace(void)
{
	return m_sNamespace;
}
