// QName.h: interface for the CQName class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_QNAME_H__F2E113F7_F810_422A_836D_598847E32447__INCLUDED_)
#define AFX_QNAME_H__F2E113F7_F810_422A_836D_598847E32447__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CQName  
{
public:
	CQName(LPCTSTR pstrNamespace, LPCTSTR pstrLocalName);
	CQName(wchar_t *pstrNamespace, int cchNamespace, wchar_t *pstrLocalName, int cchLocalName);
	CQName(LPCTSTR pstrLocalName);
	CQName(wchar_t *pstrLocalName, int cchLocalName);
	virtual ~CQName();

	//CQName &operator=(CQName &qname);

	CString getName(void);
	CString getLocalName(void);
	CString getNamespace(void);

protected:
	CString m_sNamespace;
	CString m_sLocalName;
};

#endif // !defined(AFX_QNAME_H__F2E113F7_F810_422A_836D_598847E32447__INCLUDED_)
