import org.w3c.dom.*;
import java.util.*;

public class course
{
    protected Node objectNode;
    protected MDL mdl;

    public course(Node n, MDL m)
        {objectNode = n; mdl = m;}

    // String value of 'name' property
    public String name()
        {return mdl.getPropertyValue("course","name",objectNode,false);}

    // String value of 'credits' property
    public String credits()
        {return mdl.getPropertyValue("course","credits",objectNode,false);}

    // String value of 'year' property
    public String year()
        {return mdl.getPropertyValue("course","year",objectNode,false);}

    // String value of 'passMark' property
    public String passMark()
        {return mdl.getPropertyValue("course","passMark",objectNode,false);}

// Single 'teacher' object related by [teacher]teaches[course]
public teacher teacher_teaches()
{
    teacher res = null;
    Vector nl = mdl.getAssociatedObjectNodes("teacher","teaches","course",objectNode,2);
    if ((nl != null) && (nl.size() > 0)) {res = new teacher((Node)nl.elementAt(0),mdl);}
    return res;
}

// Vector of 'student' objects related by [student]attends[course]
public Vector student_attends()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("student","attends","course",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new student((Node)nl.elementAt(i),mdl));}}
    return res;
}

// Vector of 'result' objects related by [result]inCourse[course]
public Vector result_inCourse()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("result","inCourse","course",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new result((Node)nl.elementAt(i),mdl));}}
    return res;
}
}
