import org.w3c.dom.*;
import java.util.*;

public class student extends person
{

    public student(Node n, MDL m)
        {super(n,m);}

    // String value of 'yearIn' property
    public String yearIn()
        {return mdl.getPropertyValue("student","yearIn",objectNode,false);}

    // String value of 'age' property
    public String age()
        {return mdl.getPropertyValue("student","age",objectNode,false);}

    // String value of 'firstName' property
    public String firstName()
        {return mdl.getPropertyValue("student","firstName",objectNode,false);}

    // String value of 'surName' property
    public String surName()
        {return mdl.getPropertyValue("student","surName",objectNode,false);}

// Vector of 'course' objects related by [student]attends[course]
public Vector attends_course()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("student","attends","course",objectNode,1);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new course((Node)nl.elementAt(i),mdl));}}
    return res;
}

// Vector of 'result' objects related by [student]gotResult[result]
public Vector gotResult_result()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("student","gotResult","result",objectNode,1);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new result((Node)nl.elementAt(i),mdl));}}
    return res;
}
}
