import org.w3c.dom.*;
import java.util.*;

public class manufacturer
{
    protected Node objectNode;
    protected MDL mdl;

    public manufacturer(Node n, MDL m)
        {objectNode = n; mdl = m;}

    // String value of 'id' property
    public String id()
        {return mdl.getPropertyValue("manufacturer","id",objectNode,false);}

    // String value of 'name' property
    public String name()
        {return mdl.getPropertyValue("manufacturer","name",objectNode,false);}

// Vector of 'product' objects related by [manufacturer]manufactures[product]
public Vector manufactures_product()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("manufacturer","manufactures","product",objectNode,1);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new product((Node)nl.elementAt(i),mdl));}}
    return res;
}

// Vector of 'shippingAddress' objects related by [manufacturer]hasPostAddress[shippingAddress]
public Vector hasPostAddress_shippingAddress()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("manufacturer","hasPostAddress","shippingAddress",objectNode,1);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new shippingAddress((Node)nl.elementAt(i),mdl));}}
    return res;
}
}
