import org.w3c.dom.*;
import java.util.*;

public class purchaseOrder
{
    protected Node objectNode;
    protected MDL mdl;

    public purchaseOrder(Node n, MDL m)
        {objectNode = n; mdl = m;}

    // String value of 'orderDate' property
    public String orderDate()
        {return mdl.getPropertyValue("purchaseOrder","orderDate",objectNode,false);}

    // String value of 'type' property
    public String type()
        {return mdl.getPropertyValue("purchaseOrder","type",objectNode,false);}

    // String value of 'currency' property
    public String currency()
        {return mdl.getPropertyValue("purchaseOrder","currency",objectNode,false);}

    // String value of 'totalPrice' property
    public String totalPrice()
        {return mdl.getPropertyValue("purchaseOrder","totalPrice",objectNode,false);}

    // String value of 'description' property
    public String description()
        {return mdl.getPropertyValue("purchaseOrder","description",objectNode,false);}

    // String value of 'paymentMethod' property
    public String paymentMethod()
        {return mdl.getPropertyValue("purchaseOrder","paymentMethod",objectNode,false);}

    // String value of 'deliveryMethod' property
    public String deliveryMethod()
        {return mdl.getPropertyValue("purchaseOrder","deliveryMethod",objectNode,false);}

    // String value of 'creditCardRef' property
    public String creditCardRef()
        {return mdl.getPropertyValue("purchaseOrder","creditCardRef",objectNode,false);}

    // String value of 'orderNumber' property
    public String orderNumber()
        {return mdl.getPropertyValue("purchaseOrder","orderNumber",objectNode,false);}

// Single 'purchasingUnit' object related by [purchaseOrder]orderedBy[purchasingUnit]
public purchasingUnit orderedBy_purchasingUnit()
{
    purchasingUnit res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchaseOrder","orderedBy","purchasingUnit",objectNode,1);
    if ((nl != null) && (nl.size() > 0)) {res = new purchasingUnit((Node)nl.elementAt(0),mdl);}
    return res;
}

// Single 'recipientUnit' object related by [purchaseOrder]shipTo[recipientUnit]
public recipientUnit shipTo_recipientUnit()
{
    recipientUnit res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchaseOrder","shipTo","recipientUnit",objectNode,1);
    if ((nl != null) && (nl.size() > 0)) {res = new recipientUnit((Node)nl.elementAt(0),mdl);}
    return res;
}

// Vector of 'purchOrdLine' objects related by [purchOrdLine]isPartOf[purchaseOrder]
public Vector purchOrdLine_isPartOf()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchOrdLine","isPartOf","purchaseOrder",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new purchOrdLine((Node)nl.elementAt(i),mdl));}}
    return res;
}
}
