import org.w3c.dom.*;
import java.util.*;

public class purchasingUnit
{
    protected Node objectNode;
    protected MDL mdl;

    public purchasingUnit(Node n, MDL m)
        {objectNode = n; mdl = m;}

    // String value of 'computerId' property
    public String computerId()
        {return mdl.getPropertyValue("purchasingUnit","computerId",objectNode,false);}

    // String value of 'id' property
    public String id()
        {return mdl.getPropertyValue("purchasingUnit","id",objectNode,false);}

    // String value of 'name' property
    public String name()
        {return mdl.getPropertyValue("purchasingUnit","name",objectNode,false);}

// Vector of 'shippingAddress' objects related by [purchasingUnit]hasPostAddress[shippingAddress]
public Vector hasPostAddress_shippingAddress()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchasingUnit","hasPostAddress","shippingAddress",objectNode,1);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new shippingAddress((Node)nl.elementAt(i),mdl));}}
    return res;
}

// Vector of 'purchaseOrder' objects related by [purchaseOrder]orderedBy[purchasingUnit]
public Vector purchaseOrder_orderedBy()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchaseOrder","orderedBy","purchasingUnit",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new purchaseOrder((Node)nl.elementAt(i),mdl));}}
    return res;
}
}
