import org.w3c.dom.*;
import java.util.*;

public class shippingAddress
{
    protected Node objectNode;
    protected MDL mdl;

    public shippingAddress(Node n, MDL m)
        {objectNode = n; mdl = m;}

    // String value of 'street' property
    public String street()
        {return mdl.getPropertyValue("shippingAddress","street",objectNode,false);}

    // String value of 'city' property
    public String city()
        {return mdl.getPropertyValue("shippingAddress","city",objectNode,false);}

    // String value of 'postcode' property
    public String postcode()
        {return mdl.getPropertyValue("shippingAddress","postcode",objectNode,false);}

    // String value of 'state' property
    public String state()
        {return mdl.getPropertyValue("shippingAddress","state",objectNode,false);}

    // String value of 'country' property
    public String country()
        {return mdl.getPropertyValue("shippingAddress","country",objectNode,false);}

// Vector of 'purchasingUnit' objects related by [purchasingUnit]hasPostAddress[shippingAddress]
public Vector purchasingUnit_hasPostAddress()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchasingUnit","hasPostAddress","shippingAddress",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new purchasingUnit((Node)nl.elementAt(i),mdl));}}
    return res;
}

// Vector of 'manufacturer' objects related by [manufacturer]hasPostAddress[shippingAddress]
public Vector manufacturer_hasPostAddress()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("manufacturer","hasPostAddress","shippingAddress",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new manufacturer((Node)nl.elementAt(i),mdl));}}
    return res;
}

// Vector of 'recipientUnit' objects related by [recipientUnit]hasPostAddress[shippingAddress]
public Vector recipientUnit_hasPostAddress()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("recipientUnit","hasPostAddress","shippingAddress",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new recipientUnit((Node)nl.elementAt(i),mdl));}}
    return res;
}
}
