#include "stdafx.h"
#include "NodeFactory.h"

CNodeFactory::CNodeFactory()
{
}

CNodeFactory::~CNodeFactory()
{

}

ILiteral *CNodeFactory::createLiteral(LPCTSTR lpstrStr)
{
	return new CLiteral(lpstrStr);
}

IResource *CNodeFactory::createResource(LPCTSTR lpstrStr)
{
	return new CResource(lpstrStr);
}

IResource *CNodeFactory::createResource(LPCTSTR pstrNamespace, LPCTSTR pstrLocalName)
{
	return new CResource(pstrNamespace, pstrLocalName);
}

IStatement *CNodeFactory::createStatement(IResource *pSubject, IResource *pPredicate, IRDFNode *pObject)
{
	return new CStatement(pSubject, pPredicate, pObject);
}
