// RDFParser.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "Impl.h"
#include "RDFXMLParser.h"
#include "DumpConsumer.h"

#include <crtdbg.h>

int main(int argc, char* argv[])
{
	if (argc < 2)
	{
		printf("\nUsage:");
		printf("\n\trdfparser file:///drive:/path/file.rdf\n");
		printf("\n\trdfparser http://url\n");
		return 0;
	}

	//_CrtSetBreakAlloc(118);
	CGenericXML2RDF * pGX2R = new CRDFXMLParser();
	CDumpConsumer RDFConsumer;
	pGX2R->setErrorHandler(&RDFConsumer);
	pGX2R->parse(argv[1], &RDFConsumer);
	delete pGX2R;

	return 0;
}
