import java.util.*;

public class propertyDecl
{
    private DAML daml;
    public String className;
    public String propertyName; 
    public String comment;
        
    public propertyDecl(String cName, String pName, DAML d)
    {
        className = cName;
        propertyName = pName;
        comment = null;
        daml = d;
    }
    
    /* check that the owning class exists, and if so add this
    property to its vector of properties*/
    public boolean addToClass()
    {
        boolean res = true;
        classDecl cd;
        cd = daml.getClass(className);
        if (cd == null)
        {
            res = false;
            daml.message("No class " + className + " to own property " + propertyName);
        }
        else {cd.addProperty(this);}
        return res;
    }
}