import org.w3c.dom.*;
import java.util.*;

public class product
{
    protected Node objectNode;
    protected MDL mdl;

    public product(Node n, MDL m)
        {objectNode = n; mdl = m;}

    // String value of 'productName' property
    public String productName()
        {return mdl.getPropertyValue("product","productName",objectNode,false);}

    // String value of 'unitPrice' property
    public String unitPrice()
        {return mdl.getPropertyValue("product","unitPrice",objectNode,false);}

    // String value of 'description' property
    public String description()
        {return mdl.getPropertyValue("product","description",objectNode,false);}

    // String value of 'unitOfMeasure' property
    public String unitOfMeasure()
        {return mdl.getPropertyValue("product","unitOfMeasure",objectNode,false);}

    // String value of 'manufacturerPartNo' property
    public String manufacturerPartNo()
        {return mdl.getPropertyValue("product","manufacturerPartNo",objectNode,false);}

    // String value of 'supplierPartNumber' property
    public String supplierPartNumber()
        {return mdl.getPropertyValue("product","supplierPartNumber",objectNode,false);}

    // String value of 'ourPartNumber' property
    public String ourPartNumber()
        {return mdl.getPropertyValue("product","ourPartNumber",objectNode,false);}

// Vector of 'purchOrdLine' objects related by [purchOrdLine]orderLineFor[product]
public Vector purchOrdLine_orderLineFor()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchOrdLine","orderLineFor","product",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new purchOrdLine((Node)nl.elementAt(i),mdl));}}
    return res;
}

// Single 'manufacturer' object related by [manufacturer]manufactures[product]
public manufacturer manufacturer_manufactures()
{
    manufacturer res = null;
    Vector nl = mdl.getAssociatedObjectNodes("manufacturer","manufactures","product",objectNode,2);
    if ((nl != null) && (nl.size() > 0)) {res = new manufacturer((Node)nl.elementAt(0),mdl);}
    return res;
}
}
