import org.w3c.dom.*;
import java.util.*;

public class purchOrdLine
{
    protected Node objectNode;
    protected MDL mdl;

    public purchOrdLine(Node n, MDL m)
        {objectNode = n; mdl = m;}

    // String value of 'lineNumber' property
    public String lineNumber()
        {return mdl.getPropertyValue("purchOrdLine","lineNumber",objectNode,false);}

    // String value of 'quantity' property
    public String quantity()
        {return mdl.getPropertyValue("purchOrdLine","quantity",objectNode,false);}

    // String value of 'dueDate' property
    public String dueDate()
        {return mdl.getPropertyValue("purchOrdLine","dueDate",objectNode,false);}

    // String value of 'price' property
    public String price()
        {return mdl.getPropertyValue("purchOrdLine","price",objectNode,false);}

    // String value of 'discount' property
    public String discount()
        {return mdl.getPropertyValue("purchOrdLine","discount",objectNode,false);}

    // String value of 'orderNumber' property
    public String orderNumber()
        {return mdl.getPropertyValue("purchOrdLine","orderNumber",objectNode,false);}

// Single 'purchaseOrder' object related by [purchOrdLine]isPartOf[purchaseOrder]
public purchaseOrder isPartOf_purchaseOrder()
{
    purchaseOrder res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchOrdLine","isPartOf","purchaseOrder",objectNode,1);
    if ((nl != null) && (nl.size() > 0)) {res = new purchaseOrder((Node)nl.elementAt(0),mdl);}
    return res;
}

// Single 'product' object related by [purchOrdLine]orderLineFor[product]
public product orderLineFor_product()
{
    product res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchOrdLine","orderLineFor","product",objectNode,1);
    if ((nl != null) && (nl.size() > 0)) {res = new product((Node)nl.elementAt(0),mdl);}
    return res;
}
}
