import org.w3c.dom.*;
import java.util.*;

public class recipientUnit
{
    protected Node objectNode;
    protected MDL mdl;

    public recipientUnit(Node n, MDL m)
        {objectNode = n; mdl = m;}

    // String value of 'id' property
    public String id()
        {return mdl.getPropertyValue("recipientUnit","id",objectNode,false);}

    // String value of 'name' property
    public String name()
        {return mdl.getPropertyValue("recipientUnit","name",objectNode,false);}

// Vector of 'shippingAddress' objects related by [recipientUnit]hasPostAddress[shippingAddress]
public Vector hasPostAddress_shippingAddress()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("recipientUnit","hasPostAddress","shippingAddress",objectNode,1);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new shippingAddress((Node)nl.elementAt(i),mdl));}}
    return res;
}

// Vector of 'purchaseOrder' objects related by [purchaseOrder]shipTo[recipientUnit]
public Vector purchaseOrder_shipTo()
{
    Vector res = null;
    Vector nl = mdl.getAssociatedObjectNodes("purchaseOrder","shipTo","recipientUnit",objectNode,2);
    if (nl != null) {res = new Vector();
       for (int i = 0; i < nl.size(); i++)
        {res.addElement(new purchaseOrder((Node)nl.elementAt(i),mdl));}}
    return res;
}
}
